Amazon S3 Tools: Command Line S3 Client Software and S3 Backup

AWS S3 Command Line Clients for Windows, Linux, Mac. Backup to S3, upload, retrieve, query data on Amazon S3.

S3cmd Home   |   S3cmd Download   |   FAQ / KB   

S3cmd: FAQ and Knowledge Base

Main Page > Browse Categories > FAQ: Version 1.5 > Why did s3cmd version 1.5 drop python 2.4 support?

Why did s3cmd version 1.5 drop python 2.4 support?

The new signing code implemented in version 1.5 is not easily backwards compatible to python 2.4 libraries. Minimal requirement is now Python 2.6. Please note that Python 3+ is supported since S3cmd version 2.

User Comments
Add Comment
There are no user comments for this topic.
Add Comment
No attachments

Did this help you?
Yes No

60% found this information useful

Other Options
Printable Version

Download S3Cmd
 A printable version of the entire FAQ and Knowledge Base is also available.
 For further queries or questions, please contact us.